Skip to main content
`Ctrl`+`K`

# MatAssembled

Indicates if a matrix has been assembled and is ready for use; for example, in matrix-vector product.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAssembled(Mat mat, PetscBool *assembled)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- assembled - `PETSC_TRUE` or `PETSC_FALSE`

## See Also

Matrices, `Mat`, `MatAssemblyEnd()`, `MatSetValues()`, `MatAssemblyBegin()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Examples

src/tao/bound/tutorials/plate2f.F90
src/tao/bound/tutorials/jbearing2.c
src/tao/complementarity/tutorials/blackscholes.c
src/tao/complementarity/tutorials/minsurf1.c
src/tao/bound/tutorials/plate2.c
src/tao/unconstrained/tutorials/rosenbrock2.c
src/snes/tutorials/ex58.c
src/tao/unconstrained/tutorials/eptorsion3.c
src/tao/unconstrained/tutorials/eptorsion1.c
src/tao/unconstrained/tutorials/rosenbrock3.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages